Pav2 to Arix integration: Draws or line-of-credit
pav2 to arix integration the pav2 to arix integration gives partners a single api entry point for the full loan lifecycle application data submitted through pav2 is automatically translated and forwarded to arix for loan creation; eliminating duplicate integrations, reducing onboarding timelines, and getting you to your first funded loan faster to operate line of credit (loc) loans or loans with multiple draws, or to enable you to buy draws , you need to implement the process of submitting a master application + loan, and then subline "loan" directly to arix sublines do not require another application submission, unless there is a new decision on the application the application submission creates the master line in this flow line of credit flow step by step phase 1 master loan creation (one time) partner → pav2 post / application docid\ ptx0f232efvcvlbsyzt6i (submit loc application) pav2 validates and calls arix post /loan (system to system) when an application is approved and ready for funding according to application details pav2 → partner returns 200 with master loanid save this id for calling arix partner → pav2 post /v2/applications/by app id/{applicationid}/attachments (app docs stored in pav2 only, not sent to arix) arix → partner webhook loanstatusupdated status = 1 (received) partner → arix post /loan/{masterloanid}/attachments (compliance docs) arix runs compliance checks → ✅ passes arix → partner webhook loanstatusupdated status = 11 ( awaitingfunding ) or 104 ( notfullyfunded ) ⛔ master loan should not include funding if you need status to be funded, you can call loan funding payment rails docid\ gmp bavby6sagcbqllsjm with an empty array \[] of rails ✅ master loan approved and ready for draws phase 2 subline draw (repeat per draw) partner → arix (direct) post /loan includes draw amount, master loanid reference, and rails\[] (funding info) pav2 is not involved in draws arix creates subline linked to master → skips compliance (master already passed) → processes funding using rails\[] arix → partner webhook loanstatusupdated infunding → funded (subline loanid) partner submits daily servicing data for the subline until paid off/closed 🔄 repeat steps 17–24 from the step by step flow for each additional draw details and format of subline draws unique loan number when calling pav2 to open the loc the field loannumber = \<loan number> on draws the field loannumber = \<loannumber> yyyymmdd (add mmss if needed to make more than one draw per day) oversight we perform oversight checks when the loc is opened, and pav2 calls arix the first time for the partner for subsequent draws, the json in field5 should contain the following { "loan" { "loannumber" {{loannumber}}, // in form \<loannumber> yyyymmdd (add mmss if needed to make more than one draw per day) "issuingbankid" "crb", // hardcode this "platform" "partnerplatform", // hardcode this "loantype" 1, // same as master line "notedate" "2025 12 18", // same as master line "borrowerlastname" "a loc draw", //hardcode this "borrowerfirstname" "this is",//, hardcode this "borrowerdob" "1970 01 01", // hardcode this "borrowerssn" "999999999", // hardcode this "borroweraddress" "2115 linwood avenue" , // hardcode this "borrowercity" "fort lee", // hardcode this "borrowerstate" "nj", // hardcode this "borrowerzip" "07024", // hardcode this "rate" 10 0, // hardcode this "apr" 10 0, // hardcode this "program" "draw", // hardcode this "loanamount" 5000000 00, // this amount needs to match the amount of the draw "netfunding" 5000000 00, // this amount needs to match the amount of the draw "field5" "\[{\\"revolvinglinefirstappearance\\" \\"no\\",\\"revolvinglinebalanceasofwhencallingcrb\\" 4602199 98,\\"revolvinglineguid\\" \\"this is the guid that you receive on the response from pav2\\",\\"creditpolicyversion\\" \\"v1 1\\"}]", 	"rails" \[ { // this example is using an xpay rail you shoud use for your draw the rail that is needed "xpayfields" { "toaccountname" "tetarixstgchecking", // sandbox "toaccountnumber" "2122225523", // sandbox "description" "test draw" }, "railtype" "cosxpay", // this should be the rail that you need to use "priority" 1, "amount" 5000000 00 // this amount needs to match the amount of the draw } ] } } the information in field5 of the above json, will allow the system to connect to the master loan here is a closer look { "revolvinglinefirstappearance" "no", "revolvinglineguid" "guid from origination/first appearance, "revolvinglinebalanceasofwhencallingcrb" "$123", "creditpolicyversion" "v1 1" } field rails should contain the payment rails to be funded netfunding rule loan tape netfunding originationsfee field5merchantfee loan agreement amountfinanced netfunding = amountfinanced netfunding = loan amount origination fee field5 merchantfee or 3 for draws, netfunding = sum of the rails being funded draw rule loan tape field5revolvinglinefirstappearance field5revolvinglineguid if revolvinglinefirstappearance = ‘ no ’, you can skip all arix rules if revolvinglineguid is a valid guid and it's status is not in (1,101,102,100) if revolvinglineguid = ‘first appearance’, pass this rule room for additional rules inline with what any checks that you make during draws